/*
 * OpenAPI definition
 * No description provided (generated by Openapi Generator https://github.com/openapitools/openapi-generator)
 *
 * The version of the OpenAPI document: v0
 * 
 *
 * NOTE: This class is auto generated by OpenAPI Generator (https://openapi-generator.tech).
 * https://openapi-generator.tech
 * Do not edit the class manually.
 */


package uk.co.beacon.customerservice.client.api;

import uk.co.beacon.customerservice.client.common.ApiException;
import uk.co.beacon.customerservice.client.model.EntityModelTransport;
import uk.co.beacon.customerservice.client.model.PagedModelEntityModelTransport;
import uk.co.beacon.customerservice.client.model.TransportRequestBody;
import org.junit.jupiter.api.Disabled;
import org.junit.jupiter.api.Test;

import java.util.ArrayList;
import java.util.HashMap;
import java.util.List;
import java.util.Map;

/**
 * API tests for TransportEntityControllerApi
 */
@Disabled
public class TransportEntityControllerApiTest {

    private final TransportEntityControllerApi api = new TransportEntityControllerApi();

    /**
     * delete-transport
     *
     * @throws ApiException if the Api call fails
     */
    @Test
    public void deleteItemResourceTransportDeleteTest() throws ApiException {
        String id = null;
        api.deleteItemResourceTransportDelete(id);
        // TODO: test validations
    }

    /**
     * get-transport
     *
     * @throws ApiException if the Api call fails
     */
    @Test
    public void getCollectionResourceTransportGet1Test() throws ApiException {
        Integer page = null;
        Integer size = null;
        List<String> sort = null;
        PagedModelEntityModelTransport response = api.getCollectionResourceTransportGet1(page, size, sort);
        // TODO: test validations
    }

    /**
     * get-transport
     *
     * @throws ApiException if the Api call fails
     */
    @Test
    public void getItemResourceTransportGetTest() throws ApiException {
        String id = null;
        EntityModelTransport response = api.getItemResourceTransportGet(id);
        // TODO: test validations
    }

    /**
     * patch-transport
     *
     * @throws ApiException if the Api call fails
     */
    @Test
    public void patchItemResourceTransportPatchTest() throws ApiException {
        String id = null;
        TransportRequestBody transportRequestBody = null;
        EntityModelTransport response = api.patchItemResourceTransportPatch(id, transportRequestBody);
        // TODO: test validations
    }

    /**
     * create-transport
     *
     * @throws ApiException if the Api call fails
     */
    @Test
    public void postCollectionResourceTransportPostTest() throws ApiException {
        TransportRequestBody transportRequestBody = null;
        EntityModelTransport response = api.postCollectionResourceTransportPost(transportRequestBody);
        // TODO: test validations
    }

    /**
     * update-transport
     *
     * @throws ApiException if the Api call fails
     */
    @Test
    public void putItemResourceTransportPutTest() throws ApiException {
        String id = null;
        TransportRequestBody transportRequestBody = null;
        EntityModelTransport response = api.putItemResourceTransportPut(id, transportRequestBody);
        // TODO: test validations
    }

}
